Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

Nova libvirt-xen driver and patch (Feb 2015) in upstream libvirt ?

@stefano question is addressed to you.
Per http://www.slideshare.net/xen_com_mgr/openstack-xenfinal, page 18 ( Feb 2015)

 2 patches under review for Nova ( it's done I know)
 1 patch in upstream in libvirt (?)

Which one in upstream libvirt , if it's accepted and there is commit record, then which one ?
It's also obvious that this patch cannot be in libvirt 1.2.2 ( standard for Ubuntu 14.04) and upgrade to 1.2.9
doesn't help much. It's not a problem to build Libvirt from source, which version is required ?
Why page http://wiki.xen.org/wiki/OpenStack_via_DevStack keeps silence regarding need of recent libvirt patch
Feb 2015 ?
I have escalated this question to Xen-devel mailing list
http://www.gossamer-threads.com/lists/xen/devel/374061
along with bug
https://bugs.launchpad.net/ubuntu/+source/nova/+bug/1439645
and get no response from the author on Wiki page above.

Nova libvirt-xen driver and patch (Feb 2015) in upstream libvirt ?

@stefano question is addressed to you.
Per http://www.slideshare.net/xen_com_mgr/openstack-xenfinal, page 18 ( Feb 2015)

 2 patches under review for Nova ( it's done I know)
 1 patch in upstream in libvirt (?)

Which one in upstream libvirt , if it's accepted and there is commit record, then which one ?
It's also obvious that this patch cannot be in libvirt 1.2.2 ( standard for Ubuntu 14.04) and upgrade to 1.2.9
doesn't help much. It's not a problem to build Libvirt from source, which version is required ?
You also stated on page 18

Everything works out of the box
Using the latest Openstack and libvirt trees

You meant that latest libvirt tree is supposed to be cloned to Ubuntu 14.04 , been built and installed ?
Please, clarify what exactly you advertised on page 18 ?
I am not sure latest Libvirt version would work with Xen 4.4.1 coming with Trusty
Why page http://wiki.xen.org/wiki/OpenStack_via_DevStack keeps silence regarding need of recent libvirt patch
Feb 2015 ?
I have escalated this question to Xen-devel mailing list
http://www.gossamer-threads.com/lists/xen/devel/374061
along with bug
https://bugs.launchpad.net/ubuntu/+source/nova/+bug/1439645
and get no response from the author on Wiki page above.

Nova libvirt-xen driver and patch (Feb 2015) in upstream libvirt ?

@stefano @smaffulli , question is addressed to you.
Per http://www.slideshare.net/xen_com_mgr/openstack-xenfinal, page 18 ( Feb 2015)

 2 patches under review for Nova ( it's done I know)
 1 patch in upstream in libvirt (?)

Which one in upstream libvirt , if it's accepted and there is commit record, then which one ?
It's also obvious that this patch cannot be in libvirt 1.2.2 ( standard for Ubuntu 14.04) and upgrade to 1.2.9
doesn't help much. It's not a problem to build Libvirt from source, which version is required ?
You also stated on page 18

Everything works out of the box
Using the latest Openstack and libvirt trees

You meant that latest libvirt tree is supposed to be cloned to Ubuntu 14.04 , been built and installed ?
Please, clarify what exactly you advertised on page 18 ?
I am not sure latest Libvirt version would work with Xen 4.4.1 coming with Trusty
Why page http://wiki.xen.org/wiki/OpenStack_via_DevStack keeps silence regarding need of recent libvirt patch
Feb 2015 ?
I have escalated this question to Xen-devel mailing list
http://www.gossamer-threads.com/lists/xen/devel/374061
along with bug
https://bugs.launchpad.net/ubuntu/+source/nova/+bug/1439645
and get no response from the author on Wiki page above.

Nova libvirt-xen driver and patch (Feb 2015) in upstream libvirt ?

@smaffulli , question is addressed to you.
Per http://www.slideshare.net/xen_com_mgr/openstack-xenfinal, page 18 ( Feb 2015)

 2 patches under review for Nova ( it's done I know)
 1 patch in upstream in libvirt (?)

Which one in upstream libvirt , if it's accepted and there is commit record, then which one ?
It's also obvious that this patch cannot be in libvirt 1.2.2 ( standard for Ubuntu 14.04) and upgrade to 1.2.9
doesn't help much. It's not a problem to build Libvirt from source, which version is required ?
You also stated on page 18

Everything works out of the box
Using the latest Openstack and libvirt trees

You meant that latest libvirt tree is supposed to be cloned to Ubuntu 14.04 , been built and installed ?
Please, clarify what exactly you advertised on page 18 ?
I am not sure latest Libvirt version would work with Xen 4.4.1 coming with Trusty
Why page http://wiki.xen.org/wiki/OpenStack_via_DevStack keeps silence regarding need of recent libvirt patch
Feb 2015 ?
I have escalated this question to Xen-devel mailing list
http://www.gossamer-threads.com/lists/xen/devel/374061
along with bug
https://bugs.launchpad.net/ubuntu/+source/nova/+bug/1439645
and get no response from the author on of Wiki page above.
The only change is disappearing two Git Review links from Wiki page

Nova libvirt-xen driver and patch (Feb 2015) in upstream libvirt ?

@smaffulli , question is addressed to you.
Per http://www.slideshare.net/xen_com_mgr/openstack-xenfinal, page 18 ( Feb 2015)

 2 patches under review for Nova ( it's done I know)
 1 patch in upstream in libvirt (?)

On page 12 you stated :-

1 Xen related bug in libvirt

Which one in upstream libvirt , if it's accepted and there is commit record, then which one ?
It's also obvious that this patch cannot be in libvirt 1.2.2 ( standard for Ubuntu 14.04) and upgrade to 1.2.9
doesn't help much. It's not a problem to build Libvirt from source, which version is required ?
You also stated on page 18

Everything works out of the box
Using the latest Openstack and libvirt trees

You meant that latest libvirt tree is supposed to be cloned to Ubuntu 14.04 , been built and installed ?
Please, clarify what exactly you advertised on page 18 ?
I am not sure latest Libvirt version would work with Xen 4.4.1 coming with Trusty
Why page http://wiki.xen.org/wiki/OpenStack_via_DevStack keeps silence regarding need of recent libvirt patch
Feb 2015 ?
I have escalated this question to Xen-devel mailing list
http://www.gossamer-threads.com/lists/xen/devel/374061
along with bug
https://bugs.launchpad.net/ubuntu/+source/nova/+bug/1439645
and get no response from the author of Wiki page above.
The only change is disappearing two Git Review links from Wiki page

Nova libvirt-xen driver and patch (Feb 2015) in upstream libvirt ?

@smaffulli , question is addressed to you.
Per http://www.slideshare.net/xen_com_mgr/openstack-xenfinal, page 18 ( Feb 2015)

 2 patches under review for Nova ( it's done I know)
 1 patch in upstream in libvirt (?)

On page 12 you stated :-

1 Xen related bug in libvirt

Which one in upstream libvirt , if it's accepted and there is commit record, then which one ?
It's also obvious that this patch cannot be in libvirt 1.2.2 ( standard for Ubuntu 14.04) and upgrade to 1.2.9
doesn't help much. It's not a problem to build Libvirt from source, which version is required ?
Here is a list 1.2.14 coming with F22:
http://libvirt.org/git/?p=libvirt.git&a=search&h=ecb9a5319a6ba219218fb3c99a4681fa922a4b1c&st=commit&s=xen

You also stated on page 18

Everything works out of the box
Using the latest Openstack and libvirt trees

You meant that latest libvirt tree is supposed to be cloned to Ubuntu 14.04 , been built and installed ?
Please, clarify what exactly you advertised on page 18 ?
I am not sure latest Libvirt version would work with Xen 4.4.1 coming with Trusty
Why page http://wiki.xen.org/wiki/OpenStack_via_DevStack keeps silence regarding need of recent libvirt patch
Feb 2015 ?
I have escalated this question to Xen-devel mailing list
http://www.gossamer-threads.com/lists/xen/devel/374061
along with bug
https://bugs.launchpad.net/ubuntu/+source/nova/+bug/1439645
and get no response from the author of Wiki page above.
The only change is disappearing two Git Review links from Wiki page

Nova libvirt-xen driver and patch (Feb 2015) in upstream libvirt ?

@smaffulli , question is addressed to you.
Per http://www.slideshare.net/xen_com_mgr/openstack-xenfinal, page 18 ( Feb 2015)

 2 patches under review for Nova ( it's done I know)
 1 patch in upstream in libvirt (?)

On page 12 you stated :-

1 Xen related bug in libvirt

Which one in upstream libvirt , if it's accepted and there is commit record, then which one ?
It's also obvious that this patch cannot be in libvirt 1.2.2 ( standard for Ubuntu 14.04) and upgrade to 1.2.9
doesn't help much. It's not a problem to build Libvirt from source, which version is required ?
Here is a list 1.2.14 coming with F22:
http://libvirt.org/git/?p=libvirt.git&a=search&h=ecb9a5319a6ba219218fb3c99a4681fa922a4b1c&st=commit&s=xen

You also stated on page 18

Everything works out of the box
Using the latest Openstack and libvirt trees

You meant that latest libvirt tree is supposed to be cloned to Ubuntu 14.04 , been built and installed ?
Please, clarify what exactly you advertised on page 18 ?
I am not sure latest Libvirt version would work with Xen 4.4.1 coming with Trusty
Why page http://wiki.xen.org/wiki/OpenStack_via_DevStack keeps silence regarding need of recent libvirt patch
Feb 2015 ?
I have escalated this question to Xen-devel mailing list
http://www.gossamer-threads.com/lists/xen/devel/374061
along with bug
https://bugs.launchpad.net/ubuntu/+source/nova/+bug/1439645
and get no response from the author of Wiki page above.
The only change is disappearing two Git Review links from Wiki page

page. Would it help or no ?

apt-get build-dep libvirt
tar xvzf libvirt-1.2.14.tar.gz -C /usr/src
cd /usr/src/libvirt-1.2.14
./configure --prefix=/usr/
make
make install

Nova libvirt-xen driver and patch (Feb 2015) in upstream libvirt ?

@smaffulli , question is addressed to you.
Per http://www.slideshare.net/xen_com_mgr/openstack-xenfinal, page 18 ( Feb 2015)

 2 patches under review for Nova ( it's done I know)
 1 patch in upstream in libvirt (?)

On page 12 you stated :-

1 Xen related bug in libvirt

Which one in upstream libvirt , if it's accepted and there is commit record, then which one ?
It's also obvious that this patch cannot be in libvirt 1.2.2 ( standard for Ubuntu 14.04) and upgrade to 1.2.9
doesn't help much. It's not a problem to build Libvirt from source, which version is required ?
Here is a list 1.2.14 coming with F22:
http://libvirt.org/git/?p=libvirt.git&a=search&h=ecb9a5319a6ba219218fb3c99a4681fa922a4b1c&st=commit&s=xen

You also stated on page 18

Everything works out of the box
Using the latest Openstack and libvirt trees

You meant that latest libvirt tree is supposed to be cloned to Ubuntu 14.04 , been built and installed ?
Please, clarify what exactly you advertised on page 18 ?
I am not sure latest Libvirt version would work with Xen 4.4.1 coming with Trusty
Why page http://wiki.xen.org/wiki/OpenStack_via_DevStack keeps silence regarding need of recent libvirt patch
Feb 2015 ?
I have escalated this question to Xen-devel mailing list
http://www.gossamer-threads.com/lists/xen/devel/374061
along with bug
https://bugs.launchpad.net/ubuntu/+source/nova/+bug/1439645
and get no response from the author of Wiki page above.
The only change is disappearing two Git Review links from Wiki page. Would it help or no ?

apt-get build-dep libvirt
tar xvzf libvirt-1.2.14.tar.gz -C /usr/src
cd /usr/src/libvirt-1.2.14
./configure --prefix=/usr/
make
make install

Nova libvirt-xen driver and patch (Feb 2015) in upstream libvirt ?

@smaffulli , question is addressed to you.
Per http://www.slideshare.net/xen_com_mgr/openstack-xenfinal, page 18 ( Feb 2015)

 2 patches under review for Nova ( it's done I know)
 1 patch in upstream in libvirt (?)

On page 12 you stated :-

1 Xen related bug in libvirt

Which one in upstream libvirt , if it's accepted and there is commit record, then which one ?
It's also obvious that this patch cannot be in libvirt 1.2.2 ( standard for Ubuntu 14.04) and upgrade to 1.2.9
doesn't help much. It's not a problem to build Libvirt from source, which version is required ?
Here is a list 1.2.14 coming with F22:
http://libvirt.org/git/?p=libvirt.git&a=search&h=ecb9a5319a6ba219218fb3c99a4681fa922a4b1c&st=commit&s=xen

You also stated on page 18

Everything works out of the box
Using the latest Openstack and libvirt trees

You meant that latest libvirt tree is supposed to be cloned to Ubuntu 14.04 , been built and installed ?
Please, clarify what exactly you advertised on page 18 ?
Why page http://wiki.xen.org/wiki/OpenStack_via_DevStack keeps silence regarding need of recent libvirt patch
Feb 2015 ?
I have escalated this question to Xen-devel mailing list
http://www.gossamer-threads.com/lists/xen/devel/374061
along with bug
https://bugs.launchpad.net/ubuntu/+source/nova/+bug/1439645
and get no response from the author of Wiki page above.
The only change is disappearing two Git Review links from Wiki page. Would it help or no ?
I posted in answer field results of testing with Libvirt 1.2.14 && Xen 4.4.1 same error as gave 1.2.2

apt-get build-dep libvirt
tar xvzf libvirt-1.2.14.tar.gz -C /usr/src
cd /usr/src/libvirt-1.2.14
./configure --prefix=/usr/
make
make install
libxl: error: libxl_exec.c:118:libxl_report_child_exitstatus: /etc/xen/scripts/vif-bridge online [-1] exited with error status 1
libxl: error: libxl_device.c:1085:device_hotplug_child_death_cb: script: ip link set vif2.0 name tap5600079c-9e failed
libxl: debug: libxl_event.c:618:libxl__ev_xswatch_deregister: watch w=0x7f36f284b470: deregister unregistered
libxl: error: libxl_create.c:1226:domcreate_attach_vtpms: unable to add nic devices

Nova libvirt-xen driver and patch (Feb 2015) in upstream libvirt ?

@smaffulli , question is addressed to you.
Per http://www.slideshare.net/xen_com_mgr/openstack-xenfinal, page 18 ( Feb 2015)

 2 patches under review for Nova ( it's done I know)
 1 patch in upstream in libvirt (?)

On page 12 you stated :-

1 Xen related bug in libvirt

Which one in upstream libvirt , if it's accepted and there is commit record, then which one ?
It's also obvious that this patch cannot be in libvirt 1.2.2 ( standard for Ubuntu 14.04) and upgrade to 1.2.9
doesn't help much. It's not a problem to build Libvirt from source, which version is required ?
Here is a list 1.2.14 coming with F22:
http://libvirt.org/git/?p=libvirt.git&a=search&h=ecb9a5319a6ba219218fb3c99a4681fa922a4b1c&st=commit&s=xen

You also stated on page 18

Everything works out of the box
Using the latest Openstack and libvirt trees

You meant that latest libvirt tree is supposed to be cloned to Ubuntu 14.04 , been built and installed ?
Please, clarify what exactly you advertised on page 18 ?
Why page http://wiki.xen.org/wiki/OpenStack_via_DevStack keeps silence regarding need of recent libvirt patch
Feb 2015 ?
I have escalated this question to Xen-devel mailing list
http://www.gossamer-threads.com/lists/xen/devel/374061
along with bug
https://bugs.launchpad.net/ubuntu/+source/nova/+bug/1439645
and get no response from the author of Wiki page above.
The only change is disappearing two Git Review links from Wiki page.
Git Review links removed match following commits in nova.git :-
https://git.openstack.org/cgit/openstack/nova/commit/?id=91dcdb5c6c3c941bd9b0bc63f55ca9abfadbdccc
https://git.openstack.org/cgit/openstack/nova/commit/?id=e4d42831194953dd13189684f23e791c36808706

I posted in answer field results of testing with Libvirt 1.2.14 && Xen 4.4.1 same error as gave 1.2.2

libxl: error: libxl_exec.c:118:libxl_report_child_exitstatus: /etc/xen/scripts/vif-bridge online [-1] exited with error status 1
libxl: error: libxl_device.c:1085:device_hotplug_child_death_cb: script: ip link set vif2.0 name tap5600079c-9e failed
libxl: debug: libxl_event.c:618:libxl__ev_xswatch_deregister: watch w=0x7f36f284b470: deregister unregistered
libxl: error: libxl_create.c:1226:domcreate_attach_vtpms: unable to add nic devices

Nova libvirt-xen driver and patch (Feb 2015) in upstream libvirt ?

@smaffulli , question is addressed to you.
Per http://www.slideshare.net/xen_com_mgr/openstack-xenfinal, page 18 ( Feb 2015)

 2 patches under review for Nova ( it's done I know)
 1 patch in upstream in libvirt (?)

On page 12 you stated :-

1 Xen related bug in libvirt

Which one in upstream libvirt , if it's accepted and there is commit record, then which one ?
It's also obvious that this patch cannot be in libvirt 1.2.2 ( standard for Ubuntu 14.04) and upgrade to 1.2.9
doesn't help much. It's not a problem to build Libvirt from source, which version is required ?
Here is a list 1.2.14 coming with F22:
http://libvirt.org/git/?p=libvirt.git&a=search&h=ecb9a5319a6ba219218fb3c99a4681fa922a4b1c&st=commit&s=xen

You also stated on page 18

Everything works out of the box
Using the latest Openstack and libvirt trees

You meant that latest libvirt tree is supposed to be cloned to Ubuntu 14.04 , been built and installed ?
Please, clarify what exactly you advertised on page 18 ?
Why page http://wiki.xen.org/wiki/OpenStack_via_DevStack keeps silence regarding need of recent libvirt patch
Feb 2015 ?
I have escalated this question to Xen-devel mailing list
http://www.gossamer-threads.com/lists/xen/devel/374061
along with bug
https://bugs.launchpad.net/ubuntu/+source/nova/+bug/1439645
and get no response from the author of Wiki page above.
The only change is disappearing two Git Review links from Wiki page.
Git Review links removed match following commits in nova.git :-
https://git.openstack.org/cgit/openstack/nova/commit/?id=91dcdb5c6c3c941bd9b0bc63f55ca9abfadbdccc
https://git.openstack.org/cgit/openstack/nova/commit/?id=e4d42831194953dd13189684f23e791c36808706
I posted in answer field results of testing with Libvirt 1.2.14 && Xen 4.4.1 same error as gave 1.2.2

libxl: error: libxl_exec.c:118:libxl_report_child_exitstatus: /etc/xen/scripts/vif-bridge online [-1] exited with error status 1
libxl: error: libxl_device.c:1085:device_hotplug_child_death_cb: script: ip link set vif2.0 name tap5600079c-9e failed
libxl: debug: libxl_event.c:618:libxl__ev_xswatch_deregister: watch w=0x7f36f284b470: deregister unregistered
libxl: error: libxl_create.c:1226:domcreate_attach_vtpms: unable to add nic devices

Nova libvirt-xen driver and patch (Feb 2015) in upstream libvirt ?

Per http://www.slideshare.net/xen_com_mgr/openstack-xenfinal, page 18 ( Feb 2015)

 2 patches under review for Nova ( it's done I know)
 1 patch in upstream in libvirt (?)

On page 12 you stated :-

1 Xen related bug in libvirt

Which one in upstream libvirt , if it's accepted and there is commit record, then which one ?
It's also obvious that this patch cannot be in libvirt 1.2.2 ( standard for Ubuntu 14.04) and upgrade to 1.2.9
doesn't help much. It's not a problem to build Libvirt from source, which version is required ?
Here is a list 1.2.14 coming with F22:
http://libvirt.org/git/?p=libvirt.git&a=search&h=ecb9a5319a6ba219218fb3c99a4681fa922a4b1c&st=commit&s=xen

You also stated on page 18

Everything works out of the box
Using the latest Openstack and libvirt trees

You meant that latest libvirt tree is supposed to be cloned to Ubuntu 14.04 , been built and installed ?
Please, clarify what exactly you advertised on page 18 ?
Why page http://wiki.xen.org/wiki/OpenStack_via_DevStack keeps silence regarding need of recent libvirt patch
Feb 2015 ?
I have escalated this question to Xen-devel mailing list
http://www.gossamer-threads.com/lists/xen/devel/374061
along with bug
https://bugs.launchpad.net/ubuntu/+source/nova/+bug/1439645
and get no response from the author of Wiki page above.
The only change is disappearing two Git Review links from Wiki page.
Git Review links removed from Wiki page match following commits in nova.git :-
https://git.openstack.org/cgit/openstack/nova/commit/?id=91dcdb5c6c3c941bd9b0bc63f55ca9abfadbdccc
https://git.openstack.org/cgit/openstack/nova/commit/?id=e4d42831194953dd13189684f23e791c36808706
I posted in answer field results of testing with Libvirt 1.2.14 && Xen 4.4.1 same error as gave 1.2.2

libxl: error: libxl_exec.c:118:libxl_report_child_exitstatus: /etc/xen/scripts/vif-bridge online [-1] exited with error status 1
libxl: error: libxl_device.c:1085:device_hotplug_child_death_cb: script: ip link set vif2.0 name tap5600079c-9e failed
libxl: debug: libxl_event.c:618:libxl__ev_xswatch_deregister: watch w=0x7f36f284b470: deregister unregistered
libxl: error: libxl_create.c:1226:domcreate_attach_vtpms: unable to add nic devices